﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
		}

        void Handle_Clicked(object sender, System.EventArgs e)
        {
            //netSheetResultViewModel.Data.Clear();  
            netSheetResultViewModel.Data.Add(new ChartModel("Others", 578));
            //netSheetResultViewModel.Data.Add(new ChartModel("Insurance", 340));
            //netSheetResultViewModel.Data.Add(new ChartModel("Taxes", 1200));
            //netSheetResultViewModel.Data.Add(new ChartModel("PMI", 910));
        }
    }

    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<ChartModel> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<ChartModel>()
            {
                new ChartModel("P&I", 1256.10),
                new ChartModel("Insurance", 50),
                new ChartModel("Taxes", 416.67),
                new ChartModel("PMI", 30)
            };
        }

        private int selectedIndex;
        private int selectedIndex1;
        private string _selectedItemName;
        private string _selectedItemName1;

        public string SelectedItemName
        {
            get { return _selectedItemName; }
            set
            {
                _selectedItemName = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("SelectedItemName"));
            }
        }

        public string SelectedItemName1
        {
            get { return _selectedItemName1; }
            set
            {
                _selectedItemName1 = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("SelectedItemName1"));
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        public int SelectedIndex
        {
            get { return selectedIndex; }
            set
            {
                selectedIndex = value;
                if (selectedIndex == -1) return;

                SelectedItemName = Data[selectedIndex].Expense;
            }
        }
    }

    public class ChartModel : INotifyPropertyChanged
    {
        private string expense;

        public event PropertyChangedEventHandler PropertyChanged;

        public string Expense 
        {
            get { return expense; }
            set
            {
                expense = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Expense"));
            }
        }

        private double value1;

        public double Value 
        {
            get { return value1; }
            set
            {
                value1 = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Value"));
            }
        }

        public ChartModel(string name, double value)
        {
            Expense = name;
            Value = value;
        }
    }

    public class ChartExt: SfChart
    {

    }
}
